| Kea 3.0.2-git

cb_ctl_base.h File Reference
`#include <database/audit_entry.h>`
`#include <database/backend_selector.h>`
`#include <database/database_connection.h>`
`#include <database/server_selector.h>`
`#include <process/config_base.h>`
`#include <process/config_ctl_info.h>`
`#include <boost/foreach.hpp>`
`#include <boost/date_time/posix_time/posix_time.hpp>`
`#include <boost/date_time/gregorian/gregorian.hpp>`
`#include <process/d_log.h>`
Include dependency graph for cb_ctl_base.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::process::CBControlBase< ConfigBackendMgrType >
| Base class for implementing server specific mechanisms to control the use of the Configuration Backends. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::process

## Functions
bool | isc::process::hasObjectId (const db::AuditEntryCollection &audit_entries, const uint64_t &object_id)
| Checks if an object is in a collection od audit entries.